Subject: Re: bug#26233: 26.0.50; [PATCH] Improve documentation for display-buffer-alist

From: Jens Lechtenboerger <[email-masked]>
Date: Sat, 25 Mar 2017 08:53:13 +0100

On 2017-03-24, at 07:51, Drew Adams wrote:

>> in Bug#25946 we discussed how to replace the obsolete variables
>> special-display-buffer-names and special-display-regexps.  The
>> attached patch extends the doc string of display-buffer-alist
>> based on that discussion.
>
> FWIW:
>
> 1. I *strongly* object to the deprecation of these user
> options.
> [...]

I agree wholeheartedly.

> 2. The patch, though it proceeds from a good motivation
> no doubt, can suggest that adding that code or similar
> (e.g. some other regexp) in your init file will give you
> the behavior of those deprecated options, in general.
> That impression would be incorrect.
>
> First, there are two such options, not just the
> `-regexps' one.  More importantly are the so-called
> "alternative" forms of the option values - two
> "alternatives" for each option.  Just one example such
> as that given indicates nothing about these
> possibilities.
> [...]

I never used those alternative forms, but you are right.
They need to be documented as well.

However, I don't know how.

Many thanks for your input
Jens